Bug 14111 - Silence warnings t/Auth_with_shibboleth.t
Summary: Silence warnings t/Auth_with_shibboleth.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 5010
Blocks: 8879
  Show dependency treegraph
 
Reported: 2015-05-01 19:14 UTC by M. Tompsett
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14111: Silence warnings in t/Auth_with_shibboleth.t (1.73 KB, patch)
2015-05-01 19:17 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14111 - More t/Auth_with_shibboleth.t silencing (1.96 KB, patch)
2015-05-05 00:41 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14111: Silence warnings in t/Auth_with_shibboleth.t (1.85 KB, patch)
2015-05-15 21:37 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14111: Silence warnings in t/Auth_with_shibboleth.t (1.85 KB, patch)
2015-05-15 23:28 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14111 - More t/Auth_with_shibboleth.t silencing (1.83 KB, patch)
2015-05-15 23:29 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14111: Silence warnings in t/Auth_with_shibboleth.t (1.87 KB, patch)
2015-05-16 09:26 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14111 - More t/Auth_with_shibboleth.t silencing (2.10 KB, patch)
2015-05-16 09:27 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[PASSED QA] Bug 14111: Silence warnings in t/Auth_with_shibboleth.t (1.94 KB, patch)
2015-05-29 15:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 14111 - More t/Auth_with_shibboleth.t silencing (2.17 KB, patch)
2015-05-29 15:43 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-05-01 19:14:03 UTC
Remove noise from prove t/Auth_with_shibboleth.t
Comment 1 M. Tompsett 2015-05-01 19:17:56 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-05-05 00:41:43 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2015-05-12 18:33:31 UTC
Thanks Mark, will take a quick test but looks good from a quick read.
Comment 4 Indranil Das Gupta 2015-05-15 21:37:36 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2015-05-15 22:23:32 UTC
A problem here...

git bz apply 14111
Bug 14111 - Silence warnings t/Auth_with_shibboleth.t

38832 - Bug 14111 - More t/Auth_with_shibboleth.t silencing
39227 - Bug 14111: Silence warnings in t/Auth_with_shibboleth.t

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 14111 - More t/Auth_with_shibboleth.t silencing
fatal: sha1 information is lacking or useless (t/Auth_with_shibboleth.t).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 6 Indranil Das Gupta 2015-05-15 22:49:17 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #5)
> A problem here...
> 
> git bz apply 14111
> Bug 14111 - Silence warnings t/Auth_with_shibboleth.t
> 
> 38832 - Bug 14111 - More t/Auth_with_shibboleth.t silencing
> 39227 - Bug 14111: Silence warnings in t/Auth_with_shibboleth.t
> 
> Apply? [(y)es, (n)o, (i)nteractive] y
> Applying: Bug 14111 - More t/Auth_with_shibboleth.t silencing
> fatal: sha1 information is lacking or useless (t/Auth_with_shibboleth.t).
> Repository lacks necessary blobs to fall back on 3-way merge.
> Cannot fall back to three-way merge.

Bernardo:

I believe I goofed up there! :-( that mess is quite likely my creation. I'm trying to git-revert. But no success so far.
Comment 7 M. Tompsett 2015-05-15 23:28:59 UTC Comment hidden (obsolete)
Comment 8 M. Tompsett 2015-05-15 23:29:05 UTC Comment hidden (obsolete)
Comment 9 M. Tompsett 2015-05-15 23:49:14 UTC
Okay... Here's the deal.

Test the first patch with or without 5010. No issues.
It will silence problems.

Apply just 5010, and you will see problems.
Apply the second patch on top of 5010 and those problems are solved.
However, it is still noisy. Apply the first and test it, noise disappears.
Comment 10 Indranil Das Gupta 2015-05-16 09:26:57 UTC Comment hidden (obsolete)
Comment 11 Indranil Das Gupta 2015-05-16 09:27:08 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2015-05-22 09:30:12 UTC
Applying: Bug 14111: Silence warnings in t/Auth_with_shibboleth.t
Applying: Bug 14111 - More t/Auth_with_shibboleth.t silencing
fatal: sha1 information is lacking or useless (t/Auth_with_shibboleth.t).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 13 M. Tompsett 2015-05-22 12:51:55 UTC
(In reply to Jonathan Druart from comment #12)
> Applying: Bug 14111: Silence warnings in t/Auth_with_shibboleth.t
> Applying: Bug 14111 - More t/Auth_with_shibboleth.t silencing
> fatal: sha1 information is lacking or useless (t/Auth_with_shibboleth.t).
> Repository lacks necessary blobs to fall back on 3-way merge.
> Cannot fall back to three-way merge.

TEST PLAN
----------
1) prove t/Auth_with_shibboleth.t
   -- noise
2) git bz apply 14111
   -- interactive first patch only!
3) prove t/Auth_with_shibboleth.t
   -- no noise
4) git reset --hard origin/master
5) git bz apply 5010
6) prove t/Auth_with_shibboleth.t
   -- Noise again
7) git bz apply 14111
   -- interactive second patch
8) prove t/Auth_with_shibboleth.t
   -- no noise again
Comment 14 M. Tompsett 2015-05-22 12:53:44 UTC
(In reply to Jonathan Druart from comment #12)
> Applying: Bug 14111: Silence warnings in t/Auth_with_shibboleth.t
> Applying: Bug 14111 - More t/Auth_with_shibboleth.t silencing
> fatal: sha1 information is lacking or useless (t/Auth_with_shibboleth.t).
> Repository lacks necessary blobs to fall back on 3-way merge.
> Cannot fall back to three-way merge.

See comment #9 and comment #13. I have revised the dependencies again. It's easier to SAY the dependencies than label them.
Comment 15 M. Tompsett 2015-05-22 12:55:19 UTC
(In reply to M. Tompsett from comment #13)
> 7) git bz apply 14111

Oops... both, not just second.
Comment 16 Kyle M Hall 2015-05-29 15:43:52 UTC
Created attachment 39696 [details] [review]
[PASSED QA] Bug 14111: Silence warnings in t/Auth_with_shibboleth.t

Poorly capturing warnings_exist test cases generated noise.
This patch fixes that.

TEST PLAN
---------
1) $ prove t/Auth_with_shibboleth.t
   -- There are messages about lines 132 and 133. Noise.
2) Apply patch
3) $ prove t/Auth_with_shibboleth.t
   -- No messages. YAY!
4) koha qa test tools

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Test remarks: Expected outcome as per test plan. No anomaly noted.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Kyle M Hall 2015-05-29 15:43:58 UTC
Created attachment 39697 [details] [review]
[PASSED QA] Bug 14111 - More t/Auth_with_shibboleth.t silencing

TEST PLAN
---------
1) Apply first patch
2) prove t/Auth_with_shibboleth.t
   -- failed?!
3) apply this patch
4) prove t/Auth_with_shibboleth.t
   -- success. *whew*
5) koha-qa test tools.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Test remarks: Expected outcome as per test plan. No anomaly noted.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 18 Tomás Cohen Arazi 2015-06-04 13:20:04 UTC
Patches pushed to master.

Thanks Mark!